summaryrefslogtreecommitdiff
path: root/dev-python/python-tests
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-09-02 03:04:44 -0500
committerroot <root@alpha.trunkmasters.com>2026-09-02 03:04:44 -0500
commitdb7f283451256f94921bd723861f0e82ed7157f2 (patch)
tree938785cb5ae699af0bf0839b6e9c6a0eb776d6e0 /dev-python/python-tests
parent8d04041d08ac162ab85e05cce67bc70c471bcb33 (diff)
downloadsrcux-db7f283451256f94921bd723861f0e82ed7157f2.tar.gz
srcux-db7f283451256f94921bd723861f0e82ed7157f2.tar.xz
srcux-db7f283451256f94921bd723861f0e82ed7157f2.zip
Adding metadata
Diffstat (limited to 'dev-python/python-tests')
-rw-r--r--dev-python/python-tests/Manifest3
-rw-r--r--dev-python/python-tests/python-tests-0.3.15.0_rc2.ebuild75
-rw-r--r--dev-python/python-tests/python-tests-3.15.0_rc2.ebuild74
3 files changed, 152 insertions, 0 deletions
diff --git a/dev-python/python-tests/Manifest b/dev-python/python-tests/Manifest
index e3906ea9ce94..34081ddc58b1 100644
--- a/dev-python/python-tests/Manifest
+++ b/dev-python/python-tests/Manifest
@@ -18,6 +18,8 @@ DIST Python-3.15.0b4.tar.xz 35509544 BLAKE2B d7fb1fb55cb75ab28971dc4ce575a61213b
DIST Python-3.15.0b4.tar.xz.sigstore 7105 BLAKE2B 78f8667ab32ae1353cb1475a9318e669922d475e0c31fd5e5bd86f944dc318d33299b9fbb6d00eb833cfa0f33dd0f043a6301f3e09f25fb1af892f3bb3a633b2 SHA512 df6545bc6899bcaafa056066b25a35de010a64587af223060f14ae35313b18c9e221f8bced7e256d2b3f9f13fa56c86a1cb8feefe0e24c7ad2efc41e4bf115b9
DIST Python-3.15.0rc1.tar.xz 35516700 BLAKE2B 97bcfd712f442c0811591c4e23b29840de9755893f5ac03c3a10eaf68682a9620b39d147cf857c319b047b1d816b521b9e1e9b7cb21321974d50bbc1b8ce8c3b SHA512 70dfe0b18bf769206d50d1efa2d3c5d3da7b8333139d9d7f8f404bc8273cdf86348714a7c94869b4af4a38c0ee45559ad0bac6e90e434f11f1ee07ebbda0618a
DIST Python-3.15.0rc1.tar.xz.sigstore 7297 BLAKE2B bc1c314774909316c1860e3bb947740ed9beaa00821416459b9f66eb681a2467a19ca0187ab515f54829a3df8fb3214ac2bf8c68d1b6ead09b5c810c96253fd4 SHA512 1ce9eebc29918a5a74378f3af893104b957a5565cd7f3878e099b799787cc731caccd70f6e8fc450bc4f6a6690e1e1570fdc9ee6722b67fad455e3b075881f7b
+DIST Python-3.15.0rc2.tar.xz 35544464 BLAKE2B bd5e1203f2c65bd6cb20f822927b77b65b1f13e2cfd08b295e966f92f3c6c7d9ad9178224fe6cc6d07900c41b5083ce25a8cd1fd896bf50a905b699da4a37fe2 SHA512 afef5f1aa89e7cd875ec99a7b6681c9f1ce18474955b7bbd1cc0def9a3cf69163bc028d06263a008b48b12361d67943289967914a1503e2ccc4e724be7e06c6f
+DIST Python-3.15.0rc2.tar.xz.sigstore 7011 BLAKE2B 1a48036e37fc1cc218e9be491303239953b83259947a6ca76241f1a16af3626edefdec270666c0ba6f7835578486872b171e75fbedc24171188609e1b8caa230 SHA512 dcec0764b89abc84e3220448b17d3612c4ddf2ab8dddd282860faf8159cda1b4fae2e7583f4936ed3c62e752289f561efd9cbef9c3f42df71fddfbe17fa9e8a9
DIST python-gentoo-patches-3.12.13_p1.tar.xz 12408 BLAKE2B 2b232c2742eafcb803713c837b4ddaa38f45c88e707ec272571739570f9e2e5c94644681369d887992eadf5f0c1178489f1aa3a7d8163a2aa4ce6a86732e73da SHA512 e06d78ad24c9fbc3fa9c47b25ba722342ddd140aa30f624b41d605dae40d00ab956d879a247db2d7980c063a1472de40587a0d3cd6947e560aa7e8d0e4f89309
DIST python-gentoo-patches-3.12.14.tar.xz 14296 BLAKE2B aa38928fedcdca5b681f5b1d7cb227038a60202c91c561f2dd3dd40e80167e683676670b7a3fb791ad37f92801d23a429b5adc869eb5566f4223057e932d2f2f SHA512 aafa1c59b54c131efa7fc7db5e64ab01f6c15b4d9d6bedf44bed747b3b06610dc731c4d527b91b321205e83eba944da4b687f23628155468cfc4c8b531a822c0
DIST python-gentoo-patches-3.13.14.tar.xz 9360 BLAKE2B 257a43992b857d44881174b36b0940fab3f879060938fe6e6464ae671832a3af624a0cc6f012e44ee344a34d0a8da0c898a29176029bfab70086434fbd3c3b99 SHA512 0084ffc35ff81a7056dd7a3624083ed957fbe482b1cbca9e401ef5851e0046b82b9102f4cf358f2974d7a7dfb3e21e96dcafe6c207417fa01834b9d10a2ee8d6
@@ -30,3 +32,4 @@ DIST python-gentoo-patches-3.15.0b3.tar.xz 3432 BLAKE2B 994e9339e00dfa4b40395e76
DIST python-gentoo-patches-3.15.0b4.tar.xz 3436 BLAKE2B 82a8b6a3467613229b938313f69dca219793fe5e4a16266483705f00062eec30f775bbaf4b50aa38062a96377a44071f2d29b5ae7926a003d3b70094ddc0db5e SHA512 0858432978d85453ca136c4b54737c6df8ca536852723f0625984ca7cb4aef623286d94e34b8ac80f2f7547a8fe95390972e569bdcdb30c93f4466eab586022b
DIST python-gentoo-patches-3.15.0rc1.tar.xz 3432 BLAKE2B ecd250cefb140de9b9072e4fc256a21c0f2b0a372a4fc715cf954e04c8b5ed8932f9729e14fa1c31edbca3db72b6c9fade2bb4571544e26425bfa841cbd9acad SHA512 2d587b31bafe712f87b79c93fc197e7232da29a14df218ec495a57a50a92d1543dc5fb32214a5ef83dc2b0dac22dad493a03cac39b25566f1b4688d810dacefa
DIST python-gentoo-patches-3.15.0rc1_p1.tar.xz 5204 BLAKE2B 088022af757ebcb93a6fed65211147f5e1b4fc3cf319aa4fd6ca18998a96a579711cc18ba392e91a58cbea44fc71facca47ace333fc79957ae779876b30e0349 SHA512 c72a2a312c97e67962b06a2fa2da6292b11fa19cb8fe237e9a100c85672a230acf2f74b47832a601513a100358bcfd70296501652a9692e86a53447f5962fdfa
+DIST python-gentoo-patches-3.15.0rc2.tar.xz 3428 BLAKE2B 9bd66e1faff64ddf07367e22c606ea893d073ff6641f443e6dcca88455ae3b9fbca0eaaedfd99a0359eef4ff9b335351dc9b27ac70c4635dfeeaad208d5b2867 SHA512 fe24da1974f6bf25d65c39051584b6b8463d3aad19a7841ee6d16534ab06825acba02842b56e4e93871da6c046d6e5cfa23bad9e1e7b0d23e1a7047c13eb1b97
diff --git a/dev-python/python-tests/python-tests-0.3.15.0_rc2.ebuild b/dev-python/python-tests/python-tests-0.3.15.0_rc2.ebuild
new file mode 100644
index 000000000000..f3a756fe9c02
--- /dev/null
+++ b/dev-python/python-tests/python-tests-0.3.15.0_rc2.ebuild
@@ -0,0 +1,75 @@
+# Copyright 2024-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{13..14} )
+VERIFY_SIG_METHOD=sigstore
+
+inherit python-r1 verify-sig
+
+REAL_PV=${PV#0.}
+MY_PV=${REAL_PV/_}
+MY_P="Python-${MY_PV%_p*}"
+PYVER=$(ver_cut 2-3)t
+PATCHSET="python-gentoo-patches-${MY_PV}"
+
+DESCRIPTION="Test modules from dev-lang/python"
+HOMEPAGE="
+ https://www.python.org/
+ https://github.com/python/cpython/
+"
+SRC_URI="
+ https://www.python.org/ftp/python/${REAL_PV%%_*}/${MY_P}.tar.xz
+ https://distfiles.gentoo.org/pub/proj/python/patchsets/${PYVER%t}/${PATCHSET}.tar.xz
+ verify-sig? (
+ https://www.python.org/ftp/python/${REAL_PV%%_*}/${MY_P}.tar.xz.sigstore
+ )
+"
+S="${WORKDIR}/${MY_P}/Lib"
+
+LICENSE="PSF-2"
+SLOT="${PYVER}"
+if [[ ${PV} != *_* ]]; then
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+fi
+# enable by default to help CI handle it (we have no additional deps)
+IUSE="+python_targets_${PYTHON_COMPAT[0]}"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ ~dev-lang/python-${PV}:${PYVER}
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+"
+
+# https://www.python.org/downloads/metadata/sigstore/
+VERIFY_SIG_CERT_IDENTITY=hugo@python.org
+VERIFY_SIG_CERT_OIDC_ISSUER=https://github.com/login/oauth
+
+src_unpack() {
+ if use verify-sig; then
+ verify-sig_verify_detached "${DISTDIR}"/${MY_P}.tar.xz{,.sigstore}
+ fi
+ default
+}
+
+src_prepare() {
+ local PATCHES=(
+ "${WORKDIR}/${PATCHSET}"
+ )
+
+ cd .. || die
+ default
+}
+
+src_install() {
+ python_setup
+ # keep in sync with TESTSUBDIRS in Makefile.pre.in
+ python_moduleinto "/usr/lib/python${PYVER}"
+ python_domodule test
+ python_moduleinto "/usr/lib/python${PYVER}/idlelib"
+ python_domodule idlelib/idle_test
+}
diff --git a/dev-python/python-tests/python-tests-3.15.0_rc2.ebuild b/dev-python/python-tests/python-tests-3.15.0_rc2.ebuild
new file mode 100644
index 000000000000..b7e5d0c7a099
--- /dev/null
+++ b/dev-python/python-tests/python-tests-3.15.0_rc2.ebuild
@@ -0,0 +1,74 @@
+# Copyright 2024-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{13..14} )
+VERIFY_SIG_METHOD=sigstore
+
+inherit python-r1 verify-sig
+
+MY_PV=${PV/_}
+MY_P="Python-${MY_PV%_p*}"
+PYVER=$(ver_cut 1-2)
+PATCHSET="python-gentoo-patches-${MY_PV}"
+
+DESCRIPTION="Test modules from dev-lang/python"
+HOMEPAGE="
+ https://www.python.org/
+ https://github.com/python/cpython/
+"
+SRC_URI="
+ https://www.python.org/ftp/python/${PV%%_*}/${MY_P}.tar.xz
+ https://distfiles.gentoo.org/pub/proj/python/patchsets/${PYVER%t}/${PATCHSET}.tar.xz
+ verify-sig? (
+ https://www.python.org/ftp/python/${PV%%_*}/${MY_P}.tar.xz.sigstore
+ )
+"
+S="${WORKDIR}/${MY_P}/Lib"
+
+LICENSE="PSF-2"
+SLOT="${PYVER}"
+if [[ ${PV} != *_* ]]; then
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+fi
+# enable by default to help CI handle it (we have no additional deps)
+IUSE="+python_targets_${PYTHON_COMPAT[0]}"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ ~dev-lang/python-${PV}:${PYVER}
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+"
+
+# https://www.python.org/downloads/metadata/sigstore/
+VERIFY_SIG_CERT_IDENTITY=hugo@python.org
+VERIFY_SIG_CERT_OIDC_ISSUER=https://github.com/login/oauth
+
+src_unpack() {
+ if use verify-sig; then
+ verify-sig_verify_detached "${DISTDIR}"/${MY_P}.tar.xz{,.sigstore}
+ fi
+ default
+}
+
+src_prepare() {
+ local PATCHES=(
+ "${WORKDIR}/${PATCHSET}"
+ )
+
+ cd .. || die
+ default
+}
+
+src_install() {
+ python_setup
+ # keep in sync with TESTSUBDIRS in Makefile.pre.in
+ python_moduleinto "/usr/lib/python${PYVER}"
+ python_domodule test
+ python_moduleinto "/usr/lib/python${PYVER}/idlelib"
+ python_domodule idlelib/idle_test
+}